Docs
Pricing API Reference
This section covers all endpoints related to pricing.
Get Daily Revenue Summary
Get the summary of daily revenue including paygo, invoiced users, subscriptions and pending private instances.
GET/daily_revenue_summary
API
Code Examples
curl -X GET "https://api.chutes.ai/daily_revenue_summary"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
Get Tao Payment Totals
Get the amount (as USD equivalent) of payments made by tao for today, the current month, and total.
GET/payments/summary/tao
API
Code Examples
curl -X GET "https://api.chutes.ai/payments/summary/tao"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
Get Fmv
Get the current FMV for tao.
GET/fmv
API
Code Examples
curl -X GET "https://api.chutes.ai/fmv"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
Get Pricing
Get the current compute unit pricing.
GET/pricing
API
Code Examples
curl -X GET "https://api.chutes.ai/pricing"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
Return Developer Deposit
POST/return_developer_deposit
API
Code Examples
curl -X POST "https://api.chutes.ai/return_developer_deposit"
-H "Content-Type: application/json"
-d '{}'Request Configuration
Authorization
Request Body
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| address | string | Yes |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
List Payments
List all payments.
GET/payments
API
Code Examples
curl -X GET "https://api.chutes.ai/payments"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| page | integer | null | No | |
| limit | integer | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |